/derive-keyAsk AIpost https://api.akeyless.io/derive-keyBody ParamsaccessibilitystringDefaults to regularfor personal password manageralgstringrequiredDefaults to pbkdf2Kdf algorithmhash-functionstringDefaults to sha256HashFunction the hash function to use (relevant for pbkdf2)iterint64requiredIterationCount the number of iterationsjsonbooleanDefaults to falseSet output format to JSONtruefalsekey-lenint64requiredKeyLength the byte length of the generated keymemint64Defaults to 16384MemorySizeInKb the memory paramter in kb (relevant for argon2id)namestringrequiredStatic Secret full nameparallelismint64Defaults to 1Parallelism the number of threads to use (relevant for argon2id)saltstringSalt Base64 encoded salt value. If not provided, the salt will be generated as part of the operation. The salt should be securely-generated random bytes, minimum 64 bits, 128 bits is recommendedtokenstringAuthentication token (see /auth and /configure)uid-tokenstringThe universal identity token, Required only for universal_identity authenticationResponses 200DeriveKeyResponse wraps response body. defaulterrorResponse wraps any error to return it as a JSON object with one "error" field.Updated 7 months ago